Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Protected Member Functions
Argus::OutputStream Class Reference

`#include <Stream.h>`

Inheritance diagram for Argus::OutputStream:

List of all members.

## Protected Member Functions

| ~OutputStream ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()
Protected Member Functions inherited from Argus::Destructable
| ~Destructable ()

## Additional Inherited Members

Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.
Public Member Functions inherited from Argus::Destructable
virtual void | destroy ()=0
| Destroy this object.

## Detailed Description

Definition at line 55 of file Stream.h.

## Constructor & Destructor Documentation

Argus::OutputStream::~OutputStream | ( |  | ) |

inline protected

Definition at line 58 of file Stream.h.

The documentation for this class was generated from the following file:

- include/Argus/Stream.h